package com.steering.Mcms.entity;

import java.util.List;

/**
 * 数据库表CMM_WEIGHT_RECORD所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2020-11-11
 */
@SuppressWarnings("serial")
public class CmmWeightRecordEntity implements java.io.Serializable {
    /**
     * 称重记录流水号
     */
    private String recordNo = "";
    /**
     * 检斤时间
     */
    private String recordDate = "";
    /**
     * 检斤人
     */
    private String recoder = "";
    /**
     * 车牌号
     */
    private String carNo = "";
    /**
     * 过磅类型  101- 空车过皮   102-钢坯采购  103-钢坯采购 104-采购辅料 105-修复返厂 106-设备采购 107-其他内转 108-内转钢管 109-内转钢坯 201- 配车单称重  202-废料销售 203-修复出厂 204-其他内转 205-内转钢管 206-内转钢坯 207-空车回皮
     */
    private String recordType = "";
    /**
     * 重量
     */
    private String recordWeight = "";
    /**
     * 支数
     */
    private String recordNumber = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 物资名称
     */
    private String matName = "";
    /**
     * 称重类型
     */
    private String matType = "";
    /**
     * 装车单号
     */
    private String loadvehicleNo = "";
    /**
     * 收货单位
     */
    private String receiveName = "";
    /**
     * 订货单位
     */
    private String orderName = "";
    /**
     * 发货单位
     */
    private String shippersName = "";
    /**
     * 运输单位
     */
    private String transportName = "";
    /**
     * 作废时间
     */
    private String deleteDate = "";
    /**
     * 作废人
     */
    private String deleteUser = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 称重类型 0- 皮重  1-毛重
     */
    private String wtType = "";
    /**
     * 磅房编号
     */
    private String recoderLocation = "";


    public List<CmmWeightMatEntity> getMatInfos() {
        return matInfos;
    }

    public void setMatInfos(List<CmmWeightMatEntity> matInfos) {
        this.matInfos = matInfos;
    }

    private List<CmmWeightMatEntity> matInfos = null;

    /**
     * 称重记录流水号
     * @return value
     */
    public String getRecordNo() {
        return recordNo;
    }

    /**
     * 称重记录流水号
     * @param recordNo value
     */
    public void setRecordNo(String recordNo) {
        this.recordNo = recordNo;
    }

    /**
     * 检斤时间
     * @return value
     */
    public String getRecordDate() {
        return recordDate;
    }

    /**
     * 检斤时间
     * @param recordDate value
     */
    public void setRecordDate(String recordDate) {
        this.recordDate = recordDate;
    }

    /**
     * 检斤人
     * @return value
     */
    public String getRecoder() {
        return recoder;
    }

    /**
     * 检斤人
     * @param recoder value
     */
    public void setRecoder(String recoder) {
        this.recoder = recoder;
    }

    /**
     * 车牌号
     * @return value
     */
    public String getCarNo() {
        return carNo;
    }

    /**
     * 车牌号
     * @param carNo value
     */
    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    /**
     * 过磅类型  101- 空车过皮   102-钢坯采购  103-钢坯采购 104-采购辅料 105-修复返厂 106-设备采购 107-其他内转 108-内转钢管 109-内转钢坯 201- 配车单称重  202-废料销售 203-修复出厂 204-其他内转 205-内转钢管 206-内转钢坯 207-空车回皮
     * @return value
     */
    public String getRecordType() {
        return recordType;
    }

    /**
     * 过磅类型  101- 空车过皮   102-钢坯采购  103-钢坯采购 104-采购辅料 105-修复返厂 106-设备采购 107-其他内转 108-内转钢管 109-内转钢坯 201- 配车单称重  202-废料销售 203-修复出厂 204-其他内转 205-内转钢管 206-内转钢坯 207-空车回皮
     * @param recordType value
     */
    public void setRecordType(String recordType) {
        this.recordType = recordType;
    }

    /**
     * 重量
     * @return value
     */
    public String getRecordWeight() {
        return recordWeight;
    }

    /**
     * 重量
     * @param recordWeight value
     */
    public void setRecordWeight(String recordWeight) {
        this.recordWeight = recordWeight;
    }

    /**
     * 支数
     * @return value
     */
    public String getRecordNumber() {
        return recordNumber;
    }

    /**
     * 支数
     * @param recordNumber value
     */
    public void setRecordNumber(String recordNumber) {
        this.recordNumber = recordNumber;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 物资名称
     * @return value
     */
    public String getMatName() {
        return matName;
    }

    /**
     * 物资名称
     * @param matName value
     */
    public void setMatName(String matName) {
        this.matName = matName;
    }

    /**
     * 称重类型
     * @return value
     */
    public String getMatType() {
        return matType;
    }

    /**
     * 称重类型
     * @param matType value
     */
    public void setMatType(String matType) {
        this.matType = matType;
    }

    /**
     * 装车单号
     * @return value
     */
    public String getLoadvehicleNo() {
        return loadvehicleNo;
    }

    /**
     * 装车单号
     * @param loadvehicleNo value
     */
    public void setLoadvehicleNo(String loadvehicleNo) {
        this.loadvehicleNo = loadvehicleNo;
    }

    /**
     * 收货单位
     * @return value
     */
    public String getReceiveName() {
        return receiveName;
    }

    /**
     * 收货单位
     * @param receiveName value
     */
    public void setReceiveName(String receiveName) {
        this.receiveName = receiveName;
    }

    /**
     * 订货单位
     * @return value
     */
    public String getOrderName() {
        return orderName;
    }

    /**
     * 订货单位
     * @param orderName value
     */
    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    /**
     * 发货单位
     * @return value
     */
    public String getShippersName() {
        return shippersName;
    }

    /**
     * 发货单位
     * @param shippersName value
     */
    public void setShippersName(String shippersName) {
        this.shippersName = shippersName;
    }

    /**
     * 运输单位
     * @return value
     */
    public String getTransportName() {
        return transportName;
    }

    /**
     * 运输单位
     * @param transportName value
     */
    public void setTransportName(String transportName) {
        this.transportName = transportName;
    }

    /**
     * 作废时间
     * @return value
     */
    public String getDeleteDate() {
        return deleteDate;
    }

    /**
     * 作废时间
     * @param deleteDate value
     */
    public void setDeleteDate(String deleteDate) {
        this.deleteDate = deleteDate;
    }

    /**
     * 作废人
     * @return value
     */
    public String getDeleteUser() {
        return deleteUser;
    }

    /**
     * 作废人
     * @param deleteUser value
     */
    public void setDeleteUser(String deleteUser) {
        this.deleteUser = deleteUser;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 称重类型 0- 皮重  1-毛重
     * @return value
     */
    public String getWtType() {
        return wtType;
    }

    /**
     * 称重类型 0- 皮重  1-毛重
     * @param wtType value
     */
    public void setWtType(String wtType) {
        this.wtType = wtType;
    }

    /**
     * 磅房编号
     * @return value
     */
    public String getRecoderLocation() {
        return recoderLocation;
    }

    /**
     * 磅房编号
     * @param recoderLocation value
     */
    public void setRecoderLocation(String recoderLocation) {
        this.recoderLocation = recoderLocation;
    }

    public String getRealWt() {
        return realWt;
    }

    public void setRealWt(String realWt) {
        this.realWt = realWt;
    }

    /**
     * 实发重
     */
    private String realWt = "";
}
